<?php

/* 
  Title: export_db.php
  Purpose - Export database from an ExpressionEngine install
  Author - Doug Avery <doug.avery@viget.com>
*/

/* @group get DB info */

	define('BASEPATH', true);
	$db = array('expressionengine' => array());
	include 'system/expressionengine/config/database.php';

/* @end */

/* @group export DB */

	exec("{$db[expressionengine][path_to_mysql_command]}mysqldump \
		--opt \
		--user={$db[expressionengine][username]} \
		--password={$db[expressionengine][password]} \
		{$db[expressionengine][database]} > data/db_dump.sql");

/* @end */

/* @group feedback */

	echo("Export database: {$db[expressionengine][database]}\n");

/* @end */

?>
