<?php

/* 
  Title: import_db.php
  Purpose - Import database into an ExpressionEngine install
  Author - Doug Avery <doug.avery@viget.com>
*/

/* @group get DB info */

	define('BASEPATH', true);
	$db = array('expressionengine' => array());
	include 'system/expressionengine/config/database.php';

/* @end */

/* @group drop, create, import DB */

	exec("{$db[expressionengine][path_to_mysql_command]}mysql \
		--user={$db[expressionengine][username]} \
		--password={$db[expressionengine][password]} \
		-e 'drop database {$db[expressionengine][database]}'");

	exec("{$db[expressionengine][path_to_mysql_command]}mysql \
		--user={$db[expressionengine][username]} \
		--password={$db[expressionengine][password]} \
		-e 'create database {$db[expressionengine][database]}'");
	
	exec("{$db[expressionengine][path_to_mysql_command]}mysql \
		--user={$db[expressionengine][username]} \
		--password={$db[expressionengine][password]} \
		{$db[expressionengine][database]} < data/db_dump.sql");

/* @end */

/* @group feeback */

	echo("Import database: {$db[expressionengine][database]}\n");

/* @end */

?>
